*********************************************************************
      subroutine cdIonf( chLabelIn , ionIn , fracin , chWghtIn ,lgOK )
      implicit none
*get ionization fractions for a constituent
      logical lgOK
      character chLabelIn*4 , chWghtIn*6
      character chLabel*4 , chWght*6
      integer ion , ionIn
      real fracin
*
*     include "colden.exp"
      include "cldnEXP.com"
      include "limelm.par"
      include "ElNames.com"
      include "IOqq.com"
*
*     local variables
      integer nelem, ip 
      real aaa(limelm+1)
      logical lgVol
      character*80 chCard
      character chLab6*6
*
      chLabel = chLabelIn
       chWght = chWghtIn
          ion = ionIn
*
      lgOK = .true.
*     make sure chWght is all caps
      chCard(1:6) = chWght
      call caps(chCard)
      chLab6 = chCard(1:6)
      if( chLab6.eq.'RADIUS' ) then
        lgVol = .false.
      else if( chLab6.EQ.'VOLUME' ) then
        lgVol = .true.
      else
        lgOK = .false.
        write(qq,'('' CDIONF: chWght='',A6,'' makes no sense to me'')')
     1  chWght
        fracin = 0.
        return
      endif
*
*     first ensure that chLabel is all caps
      chCard(1:4) = chLabel
      call caps( chCard )
      chLabel = chCard(1:4)
*
*     find which element this is
      nelem = 1
      do while (nelem.le.limelm .and. chLabel.ne.chElNames(nelem) )
        nelem = nelem + 1
      end do
      if( nelem.gt.limelm ) then
        write(qq,'('' cdIonf called with unknown element chLabel, ='',
     1  a4)')chLabel
        lgOK = .false.
        return
      endif
*
*     sanity check - does this ionization stage exist?
      if( ion.gt.nelem+1 ) then
        write(qq,'('' CDIONF asked to return ionization stage'',i4,
     1  '' for element '',a4,'' but this is not physical.'')') ion,
     2  chLabel
        lgOK = .false.
      endif
*
      if( lgVol ) then
        call VolMean( nelem , ip , aaa )
        fracin = 10.**aaa(ion)
      else
        call RadMean( nelem , ip , aaa )
        fracin = 10.**aaa(ion)
      endif
*
      lgOK = .true.
*
      end
