******************************************************************************
      subroutine dmpary
      implicit none
*print all coolants for some zone, as from print cooling command
      include "itrdim.par"
      include "ZoneCnt.com"
      include "tcool.com"
      include "hem.com"
      include "heat.com"
      include "ncolnt.par"
      include "collab.com"
      include "coolnt.com"
      include "phycon.com"
      include "IOqq.com"
*
*     local variables
      real eps , ratio
      parameter (eps=0.005)
      integer i
*
      write(qq,'('' This is a print out of the cooling array for zone ''
     1 ,''number '',I3)')nzone
      write(qq,'('' The total heating was HTOT='',1P,E9.2,'' erg/s/cm3''
     1,'', the total cooling was CTOT='',E9.2,'', and the '',
     1 ''temperature was'',E10.3,''K.'')') htot,ctot , te
      write(qq,'('' All coolants greater than'',F6.2,''% of the total ''
     1,''will be printed.'')') eps*100.
*
*     flag all significant coolants
      call coolpr( 'ZERO' ,1,  0.  , eps )
      do i=1,ncltot
         ratio = cooling(i)  / ctot
         call coolpr( chClntLab(i) , collam(i), ratio  , eps )
         ratio = heatnt(i)  / ctot
         call coolpr( chClntLab(i) , collam(i), ratio  , eps )
      end do
      call coolpr( 'DONE', 1 , 0.  , eps )
*
      end
