******************************************************************************
      real function ehe12p( freq )
      implicit none
*two photon emission from helium singlets
      real freq
      integer ncrs
      parameter (ncrs=21)
      real ener(ncrs) , crs(ncrs) 
      real  y2(ncrs) , y
      logical lgFirst
      save lgFirst , ener , crs , y2
*
      data ener/ 0. , 0.03738 , 0.07506 , 0.1124 , 0.1498 , 0.1875 ,
     1 0.225 , 0.263, 0.300   , 0.3373  , 0.375  , 0.4127 , 0.4500 ,
     2 0.487 , 0.525, 0.5625  , 0.6002  , 0.6376 , 0.6749 , 0.7126 ,
     3 0.75  /
*
      data crs/ 0.  , 5.03    , 8.09    , 10.16  , 11.52  ,  12.52 ,
     1 13.25 , 13.70,   14.02 , 14.25   , 14.27  , 14.25  ,  14.02 ,
     2 13.70 , 13.25,   12.52 , 11.52   , 10.16  , 8.09   ,   5.03 ,
     3 0. /
*
      data lgFirst/.true./
*
      if( lgFirst ) then
*       set up coefficients for spline
        call spline( ener , crs , ncrs , 2e31,2e31, y2 )
        lgFirst = .false.
      endif
*
      if( freq.lt.0. .or. freq.ge.1.56 ) then
        ehe12p = 0.
      else
        call splint( ener , crs , y2 , ncrs , freq/2.08 , y )      
        ehe12p = y/2.16
      endif
*
      end
