******************************************************************************
      subroutine fillar
      implicit none
*read in line images, fill into cloudy arrays
      include "nkrd.par"
      include "input.com"
      include "ninput.com"
      include "vary.com"
      include "optimr.com"
      include "readin.com"
      include "IOqq.com"
*
*     local variables
      logical lgNoVary , lgMatch
      character chK1*1 , chCard*80 , chLine*132
      integer ierr
*
*     read until eof or blank line
      if( .not.lgReadIn ) return
      lgNoVary = .false.
      nSave = 1
*98   READ(5,'(A80)',END=999) chCardSav(nSave)
*98   READ(5,'(A132)',END=999) chLine
      read(5,'(a132)',iostat=ierr ) chLine
*     this is trick so that cloudy input can read cloudy output
      if( chLine(1:25).EQ. '                       * ')THEN
        chCardSav(nSave)(1:80) = chLine(26:105)
      else
        chCardSav(nSave)(1:80) = chLine(1:80)
      endif
*     read until eof or blank line
      do while( ierr.eq.0 .and.chCardSav(nSave)(1:1).ne.' ' ) 
*       totally ignore any card starting with a #, *, or %
        chK1 = chCardSav(nSave)(1:1)
*       if( chK1.EQ.'#' .OR. chK1.EQ.'*' .OR. chK1.EQ.'%' ) go to98
        if( chK1.ne.'#' .and. chK1.ne.'*' .and. chK1.ne.'%' ) then
*         save line image
          if( nSave.ge.(nkrd-nSaveIni) ) then
            write(qq,'('' The limit to the number of allowed input '',
     1      ''lines is'',I4,''.  This limit was exceeded.  Sorry.'')')
     2      nkrd
            write(qq,'('' This limit is set by the variable NKRD '',
     1      ''which appears in parameter statements throughout the'',
     2      '' code.'')')
            write(qq,'('' Increase it everywhere it appears.'')')
            write(qq,'('' nSave, nkrd, nSaveIni='',3i6)')  nSave,nkrd,
     1      nSaveIni
            stop
          endif
*         now check whether VARY is specified
          chCard = chCardSav( nSave )
          call caps( chCard )
          if( lgMatch( 'VARY' , chCard ) ) then
            lgVaryOn = .true.
          endif
          if( chCard(1:4).eq.'OPTI' ) then
            lgOptimr = .true.
          endif
*         now check whether line is "no vary" command
          if( chCard(1:7).eq.'NO VARY' ) lgNoVary = .true.
          nSave = nSave + 1
        endif
        read(5,'(a132)',iostat=ierr ) chLine
*       this is trick so that cloudy input can read cloudy output
        if( chLine(1:25).EQ. '                       * ')THEN
          chCardSav(nSave)(1:80) = chLine(26:105)
        else
          chCardSav(nSave)(1:80) = chLine(1:80)
        endif
      end do
*
*999  continue
      nSave = nSave - 1
*
*     possible to have VARY on line without OPTIMIZE being set
      if( lgOptimr.and.lgVaryOn ) then
        lgVaryOn = .true.
      else
        lgVaryOn = .false.
      endif
*
*     this is option to have command line saying "no vary"
*     to turn off optimizer
      if( lgNoVary ) lgVaryOn = .false.
*
      end
