******************************************************************************
      subroutine fndneg
      implicit none
*search cooling array to find negative values
      include "phycon.com"
      include "heat.com"
      include "ncolnt.par"
      include "collab.com"
      include "coolnt.com"
      include "IOqq.com"
*
*     local variables
      integer i
      real eps , trig
      parameter (eps = 0.01)
*
      trig = abs( htot * eps )
      do i=1,ncltot
        if( cooling(i).lt.0. .and. abs(cooling(i)).gt.trig ) then
          write(qq,'('' negative line='',A4,I5,'' fraction of heat'',
     1    ''ing='',F9.3)')
     1    chClntLab(i) , collam(i), cooling(i)/htot
        endif
        if( heatnt(i).gt.trig ) then
          write(qq,'('' heating line='',A4,I5,'' fraction of heat'',
     1    ''ing='',F9.3)')
     1    chClntLab(i) , collam(i), heatnt(i)/htot
        endif
      end do
*
      end
