******************************************************************************
      real function he2jbr( ihi , low )
      implicit none
*returns continuum occupation number for any helium ion line
      integer ihi , low
*
      include "ncell.par"
      include "nhe2lvl.par"
      include "occnum.com"
      include "fluors.com"
      include "iphe2l.com"
      include "IOqq.com"
*
*begin sanity check
      if( iphe2l(ihi,low).le.0 .or. iphe2l(ihi,low).gt.ncell ) then
        write(qq,'('' he2jbr insane hei line pointer:'',i5,
     1  '' ihi,low='',2i5)') iphe2l(ihi,low),ihi,low
        call ShowMe
        stop
      endif
*end sanity check
*
      if( lgFluor ) then
        he2jbr = occnum( iphe2l(ihi,low) )
      else
*       option to turn off continuum fluorsecent excitation with
*       "no induced" command
        he2jbr = 0.
      endif
*
      end
