******************************************************************************
      subroutine iiibod
      implicit none
*derive three-body recombination coefficients
      include "limelm.par"
      include "nsbig.com"
      include "rcota.com"
      include "IOqq.com"
      include "trace.com"
      include "ioreco.com"
      include "bd3bug.com"
*
      integer i , iup
      real da
*
      if( lgNoCota ) then
        do i=1,limelm
          CotaRate(i) = 0.
        end do
        nsbig = 0
        return
      endif
*
      if( nsbig.eq.0 ) then
*       steve cota only defined things up to 28
        iup = min(28 , limelm )
      else
        iup = min( limelm , nsbig , 28 )
      endif
*
      do i=1,iup
        CotaRate(i) = da( float(i) )
      end do
      nsbig = 0
      if(lgTrace.and.lgTrace3Bod) then
        write(qq,'(5x,''3BOD rate:'',1P,14E8.1)')
     1 (CotaRate(i),i=1,14)
      endif
*
      if( ioreco.gt.0.  ) then
*       option to punch coefficients
        write(ioreco,'('' 3body rec coef'')')
        do i=1,iup
          write(ioreco,'(i3,1p,e10.2)') i,CotaRate(i)
        end do
      endif
*
      end
