******************************************************************************
      subroutine MakeDeriv(job ,hmc ,te ,DerivNumer)
      implicit none
*derive numerical derivative of heating minus cooling
      character job*4
      real hmc , DerivNumer , te
*
      include "IOqq.com"
*
*     local variables
      integer nstore , nstMax , i
      parameter (nstMax=50)
      real hmcSave(nstMax) , TeSave(nstMax) , dTe
      save hmcSave , TeSave , nstore
*
      if( job.eq.'zero' ) then
        nstore = 0
      else if( job.eq.'incr' ) then
        nstore = nstore + 1
        if( nstore .gt. nstMax ) then
          write(qq,'('' too many stores for MakeDeriv'')')
          nstore = nstMax
        endif
        hmcSave(nstore) = hmc
        TeSave(nstore) = te
        if( nstore.gt.1 ) then
          DerivNumer = 0.
          do i=1,nstore-1
            dTe = TeSave(i)-TeSave(i+1)
            if( dTe.ne.0. ) then
              DerivNumer = DerivNumer + (hmcSave(i)-hmcSave(i+1)) / dTe
            endif
          end do
          DerivNumer = DerivNumer / (nstore-1)
        else
          DerivNumer = 0.
        endif
      else
        write(qq,'('' MakeDeriv called with insane job='',a4)')job
        stop
      endif
      end
