******************************************************************************
      subroutine MakeRT
      implicit none
*drive static or wind metal line radiative transfer
      include "nta.par"
      include "nfst.par"
      include "ndfst.par"
      include "limelm.par"
      include "ncell.par"
      include "ipLnArry.par"
      include "nwindline.par"
      include "search.com"
      include "wind.com"
      include "occnum.com"
      include "IonFracs.com"
      include "twoway.com"
      include "escdst.com"
      include "TLineARR.com"
      include "DoppVel.com"
      include "FeIIAtom.com"
      include "WindData.com"
      include "KatyaDat.com"
*
*     local variables
      integer i 
*     
      if( windv.eq.0. ) then
*       static model
*       high quality lines
        do i=1,nTauLines
          call MakeStatRT( TauLines(1,i) )
        end do
*       heavy element lines in cooling with only g-bar
        do i=1,NWINDLINE*nWindOn
          call MakeStatRT( WindLine(1,i) )
        end do
      else
*       windy model
        do i=1,nTauLines
          call MakeWindRT( TauLines(1,i) )
        end do
*       heavy element lines in cooling with only g-bar
        do i=1,NWINDLINE*nWindOn
          call MakeWindRT( WindLine(1,i) )
        end do
      endif
*     write(6,*) ' MakeRT'
*     call dumpline( TauLines(1,57) )
*
*     Verner's model FeII atom
*     do not call if Netzer model used, or it Fe(2) is zero
*     exception is when code is searching for first soln
      if( chFeIIAtom.eq.'Verner' .and.
     1  (lgSearch.or.xIonFracs(26,2).gt.0.) ) then
        if(.not.lgSimKatya ) call MakeRTFe2
      endif
*
      end
