******************************************************************************
      subroutine pltmap( np , chCall )
      implicit none
*generate plot of heating and cooling map
      integer np
      character*5 chCall
*
      include "mapdim.par"
      include "mapr.com"
      include "called.com"
      include "ndplot.par"
      include "ploton.com"
      include "pltrce.com"
      include "trace.com"
      include "MapPar.com"
      include "IOqq.com"
*
*     local variables
      integer i
      real xmin,xmax,ymin,ymax
      character chSym*1
      logical lgTlkSav
      character chXtitle*22
      save lgTlkSav , xmin , xmax , ymin , ymax
*
      if( chCall.eq.'FIRST' ) return
*
      lgTlkSav = lgTalk
      lgTalk = .false.
      RangeMap(1) = 10.**pltxmn(np)
      RangeMap(2) = 10.**pltxmx(np)
      call punt(' map')
      lgTalk = lgTlkSav
      do i=1,nmap
         temap(i) = log10( temap(i) )
      end do
      xmin = min( temap(1) , temap(nmap) )
      xmin = max( pltxmn(np) , xmin )
      xmax = max( temap(1) , temap(nmap) )
      xmax = min( xmax , pltxmx(np) )
*
      if(lgPltTrace(np))write(qq,'('' xmin, xmax='',1p,2e12.4,
     1'' nmap='',2i4)')xmin,xmax,nmap
      ymin = 1e37
      ymax = -1e37
*
      do i=1,nmap
        if( temap(i).gt.xmin .and. temap(i).lt.xmax ) then
          hmap(i) = log10( max( hmap(i) , 1e-35 ) )
          cmap(i) = log10( max( cmap(i) , 1e-35 ) ) 
          if( cmap(i).gt.-34.) then
            ymin = min( ymin , hmap(i) , cmap(i) )
          else
            ymin = min( ymin , hmap(i) )
          endif
          ymax = max( ymax , hmap(i) , cmap(i) )
        endif
      end do
*
      if(lgTrace) write(qq,'('' PLOT called for the first time,'',
     1  '' YMAX, MIN='',1P,2E10.2)') ymax , ymin
*
      if(lgPltTrace(np))write(qq,'('' YMAX, MIN='',1P,2E14.4,'' Npnts=''
     1 ,I4)') ymax,ymin , nmap
*
      chSym = 'H'
      chXtitle = 'heating - cooling v te'
      call pltr( temap , hmap , nmap , xmin , xmax , ymin , ymax , 
     1 chSym , chXtitle , 1 , lgPltTrace(np) )
      chSym = 'C'
      call pltr( temap , cmap , nmap , xmin , xmax , ymin , ymax ,
     1chSym , chXtitle , 3 , lgPltTrace(np))
*
      end
