******************************************************************************
      subroutine PrtMolDif( chJob , io )
      implicit none
*print changes that occurred in the mole abundance in comole
      character chJob*4
      integer io
      include "nhevml.par"
      include "itrdim.par"
      include "ZoneCnt.com"
      include "hvmolARR.com"
      include "IOqq.com"
*
*     local variables
      integer i
      real xMolSav(nhevml)
      save xMolSav
*
      if( chJob.eq.'init' ) then
        do i=1,nhevml
          xMolSav(i) = hevmol(i)
        end do
      else if( chJob.eq.'prnt' ) then
        do i=1,nhevml
          xMolSav(i) = xMolSav(i) / max(1e-25,hevmol(i))
        end do
        write(io,'(i4,18f6.3)') nzone,xMolSav
      else
        write(qq,'('' PrtMolDif gets insane job='',a4)')
        stop
      endif
*
      end
