******************************************************************************
      subroutine PunResult( io , chLab, LineWL, xInten , chFunction )
      implicit none
*produce output for the punch results and punch line intensity commands
      integer io , LineWL
      real xInten
      character chLab*4 , chFunction*5
*
      include "PunRltType.com"
      include "IOqq.com"
*
*     local variables
      integer LineWidth
*     if LineWidth is changed then change format in write too
      parameter (LineWidth=6)
      character chLabSave(LineWidth)*4
      integer LineSave(LineWidth)  ,  ipLine , i
      real xIntenSave(LineWidth)
      save chLabSave , LineSave, xIntenSave ,  ipLine
*
      if( chFunction.eq.'Start' ) then
      ipLine = 0
      else if( chFunction.eq.'Line ' ) then
        ipLine = ipLine + 1
        LineSave(ipLine) = LineWL
        chLabSave(ipLine) = chLab
        xIntenSave(ipLine) = xInten
        if( ipLine.eq.LineWidth ) then
          if( chPunRltType.eq.'array ' ) then
*           usual array 6 wide
            write(io,'(6(1x,a4,i6,1p,e10.3))') (chLabSave(i) ,
     1      LineSave(i) , xIntenSave(i),i=1,ipLine)
          else if( chPunRltType.eq.'column' ) then
*           single column for input into data base
            write(io,'(1x,a4,i6,1p,e10.3)') (chLabSave(i) ,
     1      LineSave(i) , xIntenSave(i),i=1,ipLine)
          else
            write(qq,'('' PunResult called with insane chPunRltType='',
     1      a6)') chPunRltType
          endif
          ipLine = 0
        endif
      else if( chFunction.eq.'Flush' ) then
        if( ipLine.gt.0 ) then
          if( chPunRltType.eq.'array ' ) then
*           usual array 6 wide
            write(io,'(6(1x,a4,i6,1p,e10.3))') (chLabSave(i) ,
     1      LineSave(i) , xIntenSave(i),i=1,ipLine)
          else if( chPunRltType.eq.'column' ) then
*           single column for input into data base
            write(io,'(1x,a4,i6,1p,e10.3)') (chLabSave(i) ,
     1      LineSave(i) , xIntenSave(i),i=1,ipLine)
          else
            write(qq,'('' PunResult called with insane chPunRltType='',
     1      a6)') chPunRltType
          endif
        endif
      else
        write(qq,'('' PunResult called with insane request='',a5)')
     1  chFunction
        stop
      endif
*
      end
