******************************************************************************
      block data scalar
      implicit none
*block data setting up intial values
      include "ndust.par"
      include "nta.par"
      include "nfill.par"
      include "nkrd.par"
      include "nobslm.par"
      include "LimPredFe2.par"
      include "ncollm.par"
      include "limpar.par"
      include "nfudgc.par"
      include "nhlvl.par"
      include "nhe1lvl.par"
      include "nhe2lvl.par"
      include "nqgrid.par"
      include "ndplot.par"
      include "ncfl.par"
      include "itrdim.par"
      include "limelm.par"
      include "nlines.par"
      include "ncell.par"
      include "LineLabl.com"
      include "colimt.com"
      include "KshllEnr.com"
      include "noexec.com"
      include "input.com"
      include "PrtTau.com"
      include "elnam.com"
      include "ninput.com"
      include "crsnut.com"
      include "MapPar.com"
      include "zero0.com"
      include "IOqq.com"
      include "cover.com"
      include "fillnu.com"
      include "efrend.com"
      include "obscol.com"
      include "obsint.com"
      include "varang.com"
      include "rincrm.com"
      include "itoptm.com"
      include "dRdVeff.com"
      include "oprout.com"
      include "called.com"
      include "optype.com"
      include "escdst.com"
      include "iooptm.com"
      include "cludon.com"
      include "prslim.com"
      include "iph2.com"
      include "capots.com"
      include "thlo.com"
      include "the1lo.com"
      include "the2lo.com"
      include "rdfalt.com"
      include "dmetal.com"
      include "edxtra.com"
      include "flxfnt.com"
      include "otsmin.com"
      include "bounds.com"
      include "egray.com"
      include "didz.com"
      include "AsSav.com"
      include "fudgec.com"
      include "lhytot.com"
      include "number.com"
      include "htau.com"
      include "he2tau.com"
      include "he1tau.com"
      include "he2dmp.com"
      include "he1dmp.com"
      include "extinc.com"
      include "ptype.com"
      include "phycon.com"
      include "dump.com"
      include "redis.com"
      include "toler.com"
      include "r1r0sq.com"
      include "timed.com"
      include "faint.com"
      include "prall.com"
      include "taumin.com"
      include "cflow.com"
      include "conism.com"
      include "akn120.com"
      include "genagn.com"
      include "crabcn.com"
      include "conrbn.com"
      include "prspow.com"
      include "itrprt.com"
      include "ZoneCnt.com"
      include "turhet.com"
      include "hextra.com"
      include "sdrmin.com"
      include "telow.com"
      include "cyclot.com"
      include "forcte.com"
      include "norm.com"
      include "IterCnt.com"
      include "comptn.com"
      include "dampon.com"
      include "filfac.com"
      include "cpres.com"
      include "colend.com"
      include "endedn.com"
      include "reason.com"
      include "limfal.com"
      include "ElNames.com"
      include "deplon.com"
      include "AtomcWgt.com"
      include "ElmntSym.com"
      include "IonStage.com"
      include "solars.com"
      include "sum.com"
      include "vtoler.com"
      include "erredn.com"
      include "pstart.com"
      include "StarSize.com"
      include "PredCont.com"
      include "BetaVer.com"
      include "Shell.com"
      include "WkHtCl.com"
      include "qheat.com"
      include "qheat2.com"
      include "PredFe2.com"
*
*     local variables
      integer i , j
*
*     list of shells, 1 to 7
      data chShell/'1s', '2s', '2p', '3s', '3p', '3d', '4s'/
*
*     energies where diffuse continuuum is to be entered into line array
      data EnrPredCont/ 7.345e-04, 1.498e-03,2.211e-03,2.952e-03,
     1    3.677e-03, 
     1    4.314e-03, 5.162e-03, 6.240e-03,7.320e-03,9.776e-03,1.293e-02,  
     2    2.216e-02, 3.922e-02, 5.548e-02,6.213e-02,6.248e-02,8.149e-02, 
     3    0.1109, 0.1111, 0.1468, 0.1866, 0.2498, 0.2501, 0.3811,0.4401,  
     4    0.4441, 0.5083, 0.5751 , 0.6251, 0.6718, 0.7027, 0.7219, 
     5    0.7484, 0.7620,    
     5    0.7758, 0.7971, 0.8189, 0.8263, 0.8489, 0.8565, 0.8800,0.9112,  
     6    0.9982, 1.000,  1.199,  1.299,  1.499,  1.585,  1.805 , 1.809, 
     7    2.283/
*
*     bands where FeII emission from Katya's atom will be entered into lines
*     negative sign flags wavelength, not yet converted to pointer
*     first number wavelength given in main lines printout
*     second two are bounds for summing over the FeII atom emission
*     line included if wavelength ge lower, le upper
*     number of wavelength bands is set by LimPredFe2 as set in parameter
      data (iPredFe2(i,1),i=1,3)/  1120, 1070, 1170/,
     1     (iPredFe2(i,2),i=1,3)/  1450, 1400, 1500/,
     1     (iPredFe2(i,3),i=1,3)/  1550, 1500, 1600/,
     1     (iPredFe2(i,4),i=1,3)/  1650, 1600, 1700/,
     1     (iPredFe2(i,5),i=1,3)/  1787, 1784, 1789/,
     1     (iPredFe2(i,6),i=1,3)/  2430, 2200, 2660/,
     1     (iPredFe2(i,7),i=1,3)/  2780, 2660, 2900/,
     1     (iPredFe2(i,8),i=1,3)/  2960, 2900, 3025/,
     1     (iPredFe2(i,9),i=1,3)/  3180, 3025, 3330/,
     1     (iPredFe2(i,10),i=1,3)/ 4600, 4450, 4750/,
     1     (iPredFe2(i,11),i=1,3)/ 4920, 4750, 5080/,
     1     (iPredFe2(i,12),i=1,3)/ 5270, 5080, 5460/
*
*     these are the numbers of freq points in the atlas and werner grids,
*     after they were remapped onto the cloudy scale,
*     must be changed whenever energy mesh is changed
      data nWerner/3613/ , nAtlas/3282/ , nRauch/3594/
*
*     this is version of beta test, normally zero
*c90 beta 3, May 23 1996
*c90 beta 4, June 9 1996
      data nBetaVer/ 0/
*
*     zero out array of line labels.  This can only be done
*     one time when code is initialized since array of pointers
*     is only set up one time, in SetLine
      data chLineLabel/ncell*'    '/
      data chContLabel/ncell*'    '/
*
*     threshold for faintest heating cooling to punch with 
*     punch heating or punch cooling commands,
*     can be reset with PUNCH WEAKHEATCOOL command
      data WeakHeatCool/0.05/
*
*     this is number of init lines read in
      data nSaveIni/0/
*
*     this is a zero to trick smart fortran compilers
      data ZeroNum/0./
*
*     say what is needed
      data lgTalk/.true./ , lgCalled/.false./
*
*     we will execute the code
      data lgNoExec/.false./
*
*     list of atomic weights, used for thermal line widths
      data AtomicWeight/ 1.0080, 4.0026, 6.941, 9.0122, 10.811, 
     1 12.011, 14.0067, 15.9994, 18.9984, 20.179, 22.9898, 24.305, 
     2 26.9815, 28.086, 30.9738, 32.06, 35.453, 39.948, 39.102, 
     3 40.08, 44.956, 47.90, 50.9414, 51.996, 54.9380, 55.847, 
     4 58.9332, 58.71, 63.546, 65.37/
*
*     symbols for elements, used in various printouts
      data chElementSym/'H ','He','Li','Be','B ','C ','N ','O ','F ',
     1 'Ne','Na','Mg','Al','Si','P ','S ','Cl','Ar','K ','Ca',
     2'Sc','Ti','V ','Cr','Mn','Fe','Co','Ni','Cu','Zn'/
*
*     ionization stages
      data chIonStage/' 1',' 2',' 3',' 4',' 5',' 6',' 7',' 8',' 9','10',
     1                '11','12','13','14','15','16','17','18','19','20',
     2                '21','22','23','24','25','26','27','28','29','30',
     3 '31'/
*
*     default no printing of optical depths, TooFaint is .1
      data lgPrtTau/.false./ , PrtTauFnt/0.1/
*
*     labels for match on element name
*     this must be caps for present logic in matches
      DATA chElNames/'HYDR','HELI','LITH','BERY','BORO','CARB','NITR',
     1       'OXYG','FLUO','NEON','SODI','MAGN','ALUM','SILI','PHOS',
     2       'SULP','CHLO','ARGO','POTA','CALC','SCAN','TITA','VANA',
     3       'CHRO','MANG','IRON','COBA','NICK','COPP','ZINC'/
*
      data
     1   chElNam/'Hydrogen  ', 'Helium    ', 'Lithium   ', 'Beryllium ',
     1           'Boron     ', 'Carbon    ', 'Nitrogen  ', 'Oxygen    ',
     2           'Fluorine  ', 'Neon      ', 'Sodium    ', 'Magnesium ',
     2           'Aluminium ', 'Silicon   ', 'Phosphorus', 'Sulphur   ',
     2           'Chlorine  ', 'Argon     ', 'Potassium ', 'Calcium   ',
     2           'Scandium  ', 'Titanium  ', 'Vanadium  ', 'Chromium  ',
     2           'Manganese ', 'Iron      ', 'Cobalt    ', 'Nickel    ',
     2           'Copper    ', 'Zinc      '/
*
      data chCardSav /nkrd*'error - no line image input'/
*
*     drChange was reset to get orion flux in h-beta correct
*     drChange is really tau of current zone
      data bignum/1.5e38/ , smlnum/3e-37/ , drChange/ 0.15/ ,
     2 lhytot/0/ , otsmin/0./ , FluxFaint/1e-10/ , itoptm/20/,
     3 ScaleMetals/1./ , GuessDiel/1./ , chOpcTyp/'    '/ ,
     3 thlo/1000./ , the1lo/1000./ , the2lo/1500./ ,
     4 OTSCap/1.5/ , CrsSecNeutron/4e-26/,
     5 RangeMap/10.,.99e10/ , MapZone/9999/ , plow/1e36/ , phi/-1e36/,
     6 iooptm/9/,
     6 chDstFun/'  K2'/ , chEscFun/'  K2'/ , nrange/0/ ,
     7 OptGlobalErr/0.10/ ,
     7 StopElecFrac/-1e37/ , covrt/0./ , covgeo/1./, dReff/1./ ,
     7 dVeff/1./ ,
     8 dRNeff/1./,nlobs/0/,ncobs/0/ , qq/6/, ipPunH2/7/,
     9 lgPunH2/.false./, chOptRtn/'SUBP'/
*
*     upper limit to energies of inner shell opacities in ryd
*     this is 1 mev by default
      data EnergyKshell/7.35e4/
*
*     RDFALT is log of default starting radius (cm)
      data rdfalt/25./ , nMapStep/20/ , COLimit/0.80/,EdenError/0.01/
*
*     following used by AMOOEBA
      data rincrm/limpar*0./ , (varang(1,i),i=1,limpar)/limpar*-1e37/,
     1 (varang(2,i),i=1,limpar)/limpar*1e37/
*
*     statistical weights of 10 level H, He+ atoms
*     data he2stat/2.,6.,18.,32.,50.,72.,588.,4970.,6.71e5,2./
*     statistical weights of 10 level He singlet atoms
*     data he1stat/1.,3.,9.,16.,25.,36.,294.,2485.,3.355e5,1./
*     data statsn/1.,3.,9.,16.,25.,36.,294.,2485.,3.355e5,1./
*
*     array of lifetimes for helium lines - sum of a's down/4pi*912
      data he2dmp/0.,455.1,72.4,21.9,8.42,3.77,1.82,0.939,0.438/
      data he1dmp/0.,455.1,72.4,21.9,8.42,3.77,1.82,0.939,0.438/
*
*     HLIFE is lifetime of excited states FOR CASE B - no Lyman line
*     DATA HLIFE/0.,0. ,4.41E7,1.741E7,7.431E6,3.547E6,1.860E6,
*    1 1.051E6,6.306E5,3.973e5,2.607e5,1.770e5,1.237e5,8.868e4,
*    2 6.496e4,4.850e4,3.683e4,2.842e4,2.091e4,1.754e4/
*
*     used for hei and scaled heii A's, not for H
*     >>chng 96 june 4, cota leves were still in place
      data ((HeAsSav(j,i),j=1,9),i=1,8)/
     10.,6.265E8,5.575E7,1.278E7,4.125E6,1.644E6,7.568E5,3.86e5 ,2.14e5,
     20.,0.,     4.41E7 ,8.42E6 ,2.53E6 ,9.73E5 ,4.39E5 ,2.219E5,1.22e5,
     30.,0.,     0.     ,8.99E6 ,2.201E6,7.78E5 ,3.36E5 ,1.65E5 ,8.91e4,
     40 ,0.,     0.     ,0.     ,2.70E6 ,7.71E5 ,3.041E5,1.42e5 ,7.46e4,
     50.,0.,     0.     ,0.     ,0.     ,1.025E6,3.253E5,1.39e5 ,6.91e4,
     60.,0.,     0.     ,0.     ,0.     ,0.     ,4.561E5,1.56e5 ,7.07e4,
     70.,0.,     0.     ,0.     ,0.     ,0.     ,0.     ,2.27e5 ,8.24e4,
     80.,0.,     0.     ,0.     ,0.     ,0.     ,0.     ,0.     ,1.23e5/
*
      data nzdump/-100/ , excolm/0./ , exleak/0./,
     2 exlow/1./ , EdenExtra/0./
*
*     generic AGN continuum taken from Mathews and Ferland ApJ Dec15 '87
*     except self absorption at 10 microns, nu**-2.5 below that
      DATA tnuagn/1E-5, 9.12E-3, .206, 1.743, 4.13, 26.84, 7353., 7.4E6/
     1 ,  tslagn/-3.388,4.0115 ,2.6576,2.194,1.819,-.6192,-2.326, -7.34/
*
*     Crab Nebula continuum from Davidson and Fesen, 1985 Ann Rev
*     second vector is F_nu as seen from Earth
      DATA tnucrb/1.0E-5, 5.2E-4, 1.5E-3, 0.11, 0.73, 7.3, 73., 7300.,
     1 1.5E6, 7.4E6 /
     2  fnucrb/3.77E-21, 1.38E-21, 2.10E-21, 4.92E-23, 1.90E-23,
     3 2.24E-24, 6.42E-26, 4.02E-28, 2.08E-31, 1.66E-32/
*
*     Bob Rubin's theta 1 Ori C continuum, modified from Kurucz to
*     get NeIII right
      DATA tnurbn /1E-5, 1.0,1.02445,1.07266,
     1 1.12563,1.18411, 1.23881,1.29328,
     2 1.35881,1.42463, 1.48981,1.55326,
     3 1.6166 ,1.68845, 1.76698,1.8019,
     4 1.8078, 1.8082 , 1.84567,1.9317,
     5 2.04891,2.14533, 2.19702,2.27941,
     6 2.37438,2.43137, 2.49798,2.56113 ,
     7 2.59762,2.66597, 2.80543,2.95069,
     8 3.02911,3.11182, 3.22178,3.3155,
     9 3.42768,3.50678, 3.56157,3.61811,
     1 3.75211,3.89643, 4.0    ,4.1, 1E5/
*     Emergent fluxes are in units of erg/(cm^2 s Hz) and are what Kurucz 
*     (and model atmosphere types) call pi*F_nu.   
      DATA fnurbn/.181419E-11, .181419E-01,.145003E-01,.129057E-01,
     1 .130125E-01,.115540E-01,.114839E-01,.964582E-02,
     2 .922259E-02,.829783E-02,.735761E-02,.651893E-02,
     3 .617587E-02,.510496E-02,.499538E-02,.364324E-02,
     4 .325440E-02,.325440E-02,.162006E-02,.139964E-02,
     5 .127473E-02,.100621E-02,.102095E-02,.900858E-03,
     6 .460721E-03,.699557E-03,.861525E-03,.751004E-03,
     7 .500242E-03,.568666E-03,.418121E-03,.619107E-04,
     8 .279322E-04,.404350E-04,.266258E-04,.186196E-04,
     9 .146275E-04,.203668E-05,.799454E-06,.868859E-06,
     1 .370180E-06,.186293E-06,.450348E-07, 1E-15 , 1E-20/
*
*     cooling flow continuum from Johnstone et al. MNRAS 255, 431.
      data (cfle(i),cflf(i),i=1,5)/
     1 0.0000100,-0.8046910 ,
     1 0.7354023 ,  -0.8046910 , 1.4708046 ,  -0.7436830 ,
     1 2.2062068 ,  -0.6818757 , 2.9416091 ,  -0.7168990 /
      data (cfle(i),cflf(i),i=6,ncfl)/
     1 3.6770115 ,  -0.8068384 , 4.4124136 ,  -0.6722584 ,
     1 5.1478162 ,  -0.7626385 , 5.8832183 ,  -1.0396487 ,
     1 6.6186204 ,  -0.7972314 , 7.3540230 ,  -0.9883416 ,
     1 14.7080460,  -1.1675659 , 22.0620689,  -1.1985949 ,
     1 29.4160919,  -1.2263466 , 36.7701149,  -1.2918345 ,
     1 44.1241379,  -1.3510833 , 51.4781609,  -1.2715496 ,
     1 58.8321838,  -1.1098027 , 66.1862030,  -1.4315782 ,
     1 73.5402298,  -1.1327956 , 147.080459,  -1.6869649 ,
     1 220.620681,  -2.0239367 , 294.160919, -2.2130392 ,
     1 367.701141, -2.3773901 , 441.241363, -2.5326197 ,
     1 514.7816162, -2.5292389 , 588.3218384 , -2.8230250 ,
     1 661.8620605 , -2.9502323 , 735.4022827 , -3.0774822 ,
     1 1470.8045654,  -4.2239799 , 2206.2067871,  -5.2547927 ,
     1 2941.6091309,  -6.2353640 , 3677.0114746,  -7.1898708 ,
     1 4412.4135742,  -8.1292381 , 5147.8159180,  -9.0594845 ,
     1 5883.2182617,  -9.9830370 , 6618.6206055, -10.9028034 ,
     1 7354.0229492, -11.8188877 , 7400.0000000, -30.0000000 ,
     1 10000000.0000000 ,    -30.0000000 /
*
*     AKN120 continuum from Brad Peterson's plot
*     second vector is F_nu*1E10 as seen from Earth
      DATA tnuakn/  1E-5 , 1.9E-5  , 3.0E-4  , 2.4E-2  , 0.15   ,
     1    0.30  ,   0.76 ,    2.0  ,  76.0   , 760.    , 7.4E6  /
      DATA fnuakn/1.5E-16, 1.6E-16 , 1.4E-13 , 8.0E-15 , 1.6E-15 ,
     1  1.8E-15 , 7.1E-16,  7.9E-17, 1.1E-18 , 7.1E-20 , 1.3E-24/
*
*     interstellar radiation field from Black 1987, "Interstellar Processes"
*     table of log nu, log nu*fnu taken from his figure 2
      DATA tnuism/   9.00  ,  10.72  ,  11.00  ,  11.23  ,  11.47  ,
     1    11.55  ,  11.85  ,  12.26  ,  12.54  ,  12.71  ,  13.10  ,
     2    13.64  ,  14.14  ,  14.38  ,  14.63  ,  14.93  ,  15.08  ,
     3    15.36  ,  15.43  ,  16.25  ,  17.09  ,  18.00  ,  23.00  /
      DATA fnuism/  -7.97  ,  -2.96  ,  -2.47  ,  -2.09  ,  -2.11  ,
     1    -2.34  ,  -3.66  ,  -2.72  ,  -2.45  ,  -2.57  ,  -3.85  ,
     2    -3.34  ,  -2.30  ,  -1.79  ,  -1.79  ,  -2.34  ,  -2.72  ,
     3    -2.55  ,  -2.62  ,  -5.68  ,  -6.45  ,  -6.30  ,  -11.3  /
*
      DATA chPType/ndplot*'NONE'/
*
      data hden /-99./ , chRedis/'INCO'/ , toler/0.02/ , 
     2 TooFaint/1e-3/ , lgFaintOn/.true./ , prall,psort/2*0./,nfudge/0/,
     3 taumin, tlamin/2*1e-20/ , fudgea/nfudgc*0./ ,
     4 prspow/0./ , itrprt/itrdim*10000/ , turhet/0./ , turrad/1e30/ ,
     6 cryden,crpowr,crtemp,hxtot/4*0./ ,
     7  sdrmin/1e-30/ , sdrmax/1e30/ , tehigh/1e10/ ,
     8 telow/2.8/ , lgSMinON/.false./ , CycloCoolCoef/0./
*
      data NormWL/1/ , sclnrm/1./ , ForceTemp/0./,
     2 itermx,iter/0,0/ , nsum/0/ , DampOnFac/1./ , comtot/0./ ,
     3 comoff/1./ , cmcool/0./
*
      data  emm/1.001e-5/, egamry/7.354e6/ ,EnerGammaRay /7676./
*
*     solar abundances Grevesse and Anders 1989, Grevesse and Noel 1993
      data SolarSave(1)/1.0/   , SolarSave(2)/0.100/ ,
     1   SolarSave(3)/2.04e-9/ , SolarSave(4)/2.63e-11/ ,
     2   SolarSave(5)/7.59e-10/, SolarSave(6)/ 3.55E-4/,
     3   SolarSave(7)/ 9.33E-5/, SolarSave(8)/ 7.41E-4/,
     4   SolarSave(9)/ 3.02e-8/, SolarSave(10)/ 1.17E-4/,
     5   SolarSave(11)/2.06E-6/, SolarSave(12)/ 3.80E-5/,
     6   SolarSave(13)/2.95E-6/, SolarSave(14)/ 3.55E-5/,
     7   SolarSave(15)/3.73e-7/, SolarSave(16)/ 1.62E-5/,
     8   SolarSave(17)/1.88E-7/, SolarSave(18)/ 3.98E-6/,
     9   SolarSave(19)/1.35e-7/, SolarSave(20)/ 2.29E-6/,
     1   SolarSave(21)/1.58e-9/, SolarSave(22)/1.10e-7/,
     2   SolarSave(23)/1.05e-8/, SolarSave(24)/4.84e-7/,
     3   SolarSave(25)/3.42e-7/, SolarSave(26)/ 3.24E-5/,
     4   SolarSave(27)/8.32e-8/, SolarSave(28)/ 1.76E-6/,
     5   SolarSave(29)/1.87e-8/, SolarSave(30)/4.52e-8/
*
*     Nova Cyg 75 abundances, C, O, NE UP 20, NIT UP 100, REST SOLAR AR
      data anova(1)/1.0/   , anova(2)/0.098/ ,
     1   anova(3)/2.04e-9/ , anova(4)/2.6e-11/ ,
     2   anova(5)/7.60e-9/ , anova(6)/ 9.4E-4/,
     3   anova(7)/ 9.8E-3/ , anova(8)/ 1.7E-2/,
     4   anova(9)/ 3.02e-8/, anova(10)/ 2.03E-3/,
     5   anova(11)/2.06E-6/, anova(12)/ 3.80E-5/,
     6   anova(13)/2.95E-6/, anova(14)/ 3.55E-5/,
     7   anova(15)/3.73e-7/, anova(16)/ 1.62E-5/,
     8   anova(17)/1.88E-7/, anova(18)/ 3.63E-6/,
     9   anova(19)/1.35e-7/, anova(20)/ 2.29E-6/,
     1   anova(21)/1.22e-9/, anova(22)/8.60e-8/,
     2   anova(23)/1.05e-8/, anova(24)/4.84e-7/,
     3   anova(25)/3.42e-7/, anova(26)/ 4.68E-5/,
     4   anova(27)/2.24E-9/, anova(28)/ 1.76E-6/,
     5   anova(29)/1.87e-8/, anova(30)/4.52e-8/
*
*     primordial abundances
      data aprim/1.0,0.072,1E-10, 1E-16,26*1e-25/
*
*     typical ISM abundances, mean of Table 3, Cowie+Songaila, Ann Rev '86
*     also Table 5, Savage and Sembach, Ann Rev 1996
      data aism(1)/1./, aism(2)/ 0.098/, aism(3)/5.4E-11/,
     1 aism(4)/1E-20/,
     1 aism(5)/8.9E-11/, aism(6)/ 2.51e-4/, aism(7)/ 7.94e-5/,
     2 aism(8)/ 5.01e-4/, aism(9)/1E-20/, aism(10)/ 1.23e-4/,
     3 aism(11)/ 3.16e-7/, aism(12)/ 1.26e-5/, aism(13)/ 7.94e-8/,
     4 aism(14)/ 3.16e-6/, aism(15)/1.6E-7/, aism(16)/ 3.24e-5/,
     5 aism(17)/ 1e-7 /, aism(18)/ 2.82e-6/, aism(19)/1.1E-8/,
     6 aism(20)/ 4.1e-10/, aism(21)/1E-20/, aism(22)/5.8E-10/,
     7 aism(23)/1.0E-10/, aism(24)/1.0E-8/, aism(25)/2.3E-8/,
     8 aism(26)/6.31E-7/, 
     8 aism(27)/1e-20/ , aism(28)/ 1.82e-8 /, aism(29)/1.5E-9/,
     9 aism(30)/2.0E-8/
*
*     typical ISM depletion factors, subjective mean of Cowie and Songaila
*     and Jenkins 
*
      data
     1  Depletion(1)/1./    ,  Depletion(2)/1./,   Depletion(3)/.16/,
     2  Depletion(4)/.6/    ,  Depletion(5)/.13/,  Depletion(6)/0.4/,
     3  Depletion(7)/1.0/   , Depletion(8)/0.6/,   Depletion(9)/.3/ ,
     4  Depletion(10)/1./   , Depletion(11)/0.2/,  Depletion(12)/0.2/,
     3  Depletion(13)/0.01/ , Depletion(14)/0.03/, Depletion(15)/.25/,
     4  Depletion(16)/1.0/  , Depletion(17)/0.4/,  Depletion(18)/1.0/,
     5  Depletion(19)/.3/   , Depletion(20)/1E-4/, Depletion(21)/5e-3/,
     6  Depletion(22)/8e-3/ , Depletion(23)/6e-3/, Depletion(24)/6e-3/,
     7  Depletion(25)/5e-2/ , Depletion(26)/0.01/, Depletion(27)/0.01/,
     8  Depletion(28)/0.01/ , Depletion(29)/.1/ ,  Depletion(30)/.25/
*
*     HII region abundances, Orion mean of Baldwin et al, Rubin et al,
*     and DEO et al, all 1991 apj
*     also Table 5, Savage and Sembach, Ann Rev 1996 for ism
      data ahii(1)/1./, ahii(2)/ 0.095/,ahii(3)/5.4E-11/,ahii(4)/1E-20/,
     1 ahii(5)/8.9E-11/,ahii(6)/3.e-4/,ahii(7)/ 7.0e-5/,ahii(8)/4.0E-4/,
     2 ahii(9)/1E-20/,ahii(10)/6e-5/, ahii(11)/3e-7/, ahii(12)/3.E-6/,
     3 ahii(13)/2.e-7/,ahii(14)/4.e-6/,ahii(15)/1.6E-7/,
     3 ahii(16)/1.0E-5/,
     4 ahii(17)/1.e-7/,ahii(18)/3.e-6/,ahii(19)/1.1E-8/,ahii(20)/2.E-8/,
     5 ahii(21)/1E-20/, ahii(22)/5.8E-10/,ahii(23)/1.0E-10/,
     3 ahii(24)/1.0e-8/,
     6 ahii(25)/2.3E-8/, ahii(26)/ 3.0e-6/, ahii(27)/ 1e-20/,
     7 ahii(28)/ 1e-7/, ahii(29)/1.5E-9/, ahii(30)/2.0E-8/
*
*     PN abund from Aller+Czyzak, ApJ Sup 51, 211
      data apn(1)/1./, apn(2)/0.1/, apn(3)/1E-20/, apn(4)/1E-20/,
     1 apn(5)/1E-20/, apn(6)/7.8e-4/, apn(7)/1.8e-4/, apn(8)/4.4e-4/,
     2 apn(9)/3E-7/, apn(10)/1.1e-4/, apn(11)/1.9e-6/, apn(12)/1.6E-6/,
     3 apn(13)/2.7e-7/, apn(14)/1e-5/, apn(15)/2E-7/, apn(16)/1e-5 /,
     4 apn(17)/1.7e-7 /, apn(18)/2.7e-6/,apn(19)/1.2E-7/,apn(20)/1.2E-8/,
     5 apn(21)/1E-20/, apn(22)/1E-20/, apn(23)/1E-20/, apn(24)/1E-20/,
     6 apn(25)/1E-20/, apn(26)/5.0e-7/, apn(27)/1e-20/, apn(28)/1.8E-8/,
     7 apn(29)/1E-20/, apn(30)/1E-20/
*
*     mix from Cameron 1982, in "Essays on Nuclear Astro"
      data camern(1)/1./, camern(2)/ .0677/, camern(3)/2.2E-9/,
     1 camern(4)/4.5E-11/, camern(5)/3.4E-10/, camern(6)/ 4.22e-4/,
     2 camern(7)/ 8.72e-5/, camern(8)/ 6.93e-4/, camern(9)/2.9E-8/,
     3 camern(10)/ 9.77e-5/, camern(11)/ 2.25e-6/,
     4 camern(12)/ 3.98e-5/, camern(13)/ 3.20e-6/,
     5 camern(14)/ 3.76e-5/, camern(15)/2.4E-7/, camern(16)/ 1.88E-5/,
     6 camern(17)/ 1.78e-7 /, camern(18)/ 3.99e-6/, camern(19)/1.3E-7/,
     7 camern(20)/ 2.35e-6/, camern(21)/1.16E-9/, camern(22)/9.0E-8/,
     8 camern(23)/9.5E-9/, camern(24)/4.8E-7/, camern(25)/3.5E-7/,
     9 camern(26)/ 3.38e-5/, camern(27)/ 8.27e-8/, camern(28)/ 1.80e-6/,
     1 camern(29)/2.0E-8/, camern(30)/4.7E-8/
*
      data FillFac,fiscal,filpow/2*1.,0./ , chCPres/'CDEN'/,
     2 nprint,tend/1000,4000./,
     3 HColStop , colpls , colnut /3*1e30/ , StopElecDensity/-1e30/ ,
     4 chReason/'reason not specified.'/ , lgPrtStart/.false./,
     4 nstart/0/,
     5 itime,dt,tmt1,tmpwr/0,3*0./ , limfal/20/ , lgNoMap/.false./,
     6 r1r0sq/1./
*
* (K Volk) added the qheat stuff here
      data lgQHeat/ndust*.false./
      data nqp1/ndust*0/, nqout1/0/, iqp/0/, qtmax/0./
      data qdep/ndust*1.0/
      data qhnrat/1.8732e+10,1.6387e+10,2.7518e+11,2.4073e+11,
     c            3.7065e+09,3.7069e+11,1.6387e+10,1.6387e+10,
     c            3.6312e+07,6.4191e+06,1.0e+07,1.0e+07,1.0e+07,
     c            1.0e+07,1.0e+07,1.0e+07,1.0e+07,1.0e+07,1.0e+07,
     c            1.0e+07/
* End of initialization of QHEAT values (K Volk)
      end
