******************************************************************************
      real function cone2( t )
      implicit none
*generate e2 function needed for continuum transport
      real tln, t
*
*     local variables
      real remain
      if( t.lt.80. ) then
        tln = exp(-t)
      else
        cone2 = 0.
        return
      endif
*
*     fit of second exponential integral;
*     T is optical depth, and TLN is exp(-t)
*
      if( t.lt.0.3 ) then
        remain = (1.998069357+t*(66.4037741+t*107.2041376)) /
     1  (1.+t*(37.4009646+t*105.0388805))
*
      else if( t.lt.20. ) then
        remain = (1.823707708+t*2.395042899)/
     1  (1.+t*(2.488885899-t*0.00430538))
*
      else
        remain = 1.
      endif
*
      cone2 = remain * tln / (2.+t)
*
      end
