******************************************************************************
      real function eina( gf , enercm , gup )
      implicit none 
*convert a gf into an Einstein A
      real gf , enercm , gup
*
*     derive the transition prob, given the following
*     call to function is gf, ener in cm^-1, g_up
*     gf is product of g and oscilator strength
*     eina = ( gf / 1.499e-8 ) / (wl/1e4)**2 / gup 
      eina = ( gf/gup) / 1.4992e-8 / ( 1e4/enercm )**2
*
      end
