******************************************************************************
      real function ffun( anu )
      implicit none
*evaluate total flux for sum of all continuum sources
      real anu
      include "limspc.par"
      include "IOqq.com"
      include "spec.com"
      include "bit32.com"
*
*     local variables
      real ffun1
      logical lgWarn
      save lgWarn
      data lgWarn/.false./
*
*     FFUN returns the sum of photons per unit time, area, energy,
*     for all continuua in the calculation
*     we loop over all nspec continuum sources - ipspec points to each
*
      ffun = 0.
      do ipspec=1,nspec
        ffun = ffun + ffun1( anu ) * spfac(ipspec)
      end do
*
      if( ffun.gt.1e35 .and. (.not.lgWarn) .and. lgBit32 ) then
        lgWarn = .true.
        write(qq,'('' FFUN:  The net continuum is very intense for'',
     1  '' a 32 bit cpu.'')')
        write(qq,'('' I will try to press on, but may have '',
     1  ''problems.'')')
      endif
*
      end
