******************************************************************************
      real function fread( chCard , ipnt , last , lgEOL )
      implicit none
*scan input line for free format number
      integer last,ipnt
      character chCard*80
      logical lgEOL
*
*     FREAD= first number encountered after column IPNT in card image
*
*     local variables
      real value , sign,expn
      integer l1,l2,ichr
      character chr*1
      logical lgNumber , lgNFound
*
      l1 = ichar('0')
      l2 = ichar('9') 
*
 999  continue
      lgNumber = .false.
      lgNFound = .false.
      sign = 1.
      value = 0.
      fread = 0.
*     have we hit the end of line?
      call nxtchr( chr , ichr , ipnt , chCard , last , lgEOL )
      if( lgEOL ) return
*
*     find start of number
*----------------------------------------------
 4    if( chr .eq. '.') goto5
        if( (ichr.ge.l1)  .and.  (ichr.le.l2) ) goto1
        ipnt = ipnt + 1
        call nxtchr( chr , ichr , ipnt , chCard , last , lgEOL )
        if( lgEOL ) return
      goto4
*^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
*
*     found start of number, check if neg
 1    if( chCard(ipnt-1:ipnt-1) .eq. '-') sign = -1.
      lgNFound = .true.
*
*     find numerical value
*----------------------------------------------
 6    value = 10.*value + float( iabs(  ichr-l1 ) )
      lgNumber = .true.
 7    ipnt = ipnt + 1
      call nxtchr( chr , ichr , ipnt , chCard , last , lgEOL )
      if( lgEOL ) then
        fread = value * sign
*       will be encountered on next call
        lgEOL = .false.
        return
      endif
      if( chr.eq.',') goto7
      if( (ichr.ge.l1) .and. (ichr.le.l2) ) goto6
*^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
*
      if( chCard(ipnt:ipnt) .ne. '.') then
        fread = value * sign
        return
      endif
*
*     decimal point encountered
 5    expn = 1.
      if( chCard(ipnt-1:ipnt-1) .eq. '-') sign = -1.
*
*-------------------------------------------------------
 3    ipnt = ipnt + 1
      call nxtchr( chr , ichr , ipnt , chCard , last , lgEOL )
      if( chr.eq.',' ) goto3
      if( lgEOL .or. ichr.lt.l1 .or. ichr.gt.l2  ) then
*       following fails if no number found (only . on line)
        if( .not.lgNFound ) goto999
        fread = value * sign
        if( lgNumber ) lgEOL = .false.
        return
      endif
      expn = expn * 0.1
      lgNFound = .true.
      lgNumber = .true.
      value = value + expn * float( ichr-l1 )
      goto3
*^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      end
