*******************************************************************************
      subroutine GetDLaw( chCard )
      implicit none
*parse parameters on the dlaw command
      character chCard*80
      include "limTabD.par"
      include "tablaw.com"
      include "dlaw.com"
      include "cpres.com"
      include "IOqq.com"
*
*     local variables
      integer i , j
      character chCAP*4
      real fread
      logical lgEOL , lgMatch , lgEnd 
*
*     call fcn FABDEN(RADIUS) which uses the ten parameters
*     N.B.; existing version of FABDEN must be deleted
*     >>chng 96 nov 29, added table option
      if( lgMatch( 'TABL' , chCard )) then
*       when called, read in densities from input stream
        chCPres = 'DLW2'
        if( lgMatch('DEPT' , chCard ) ) then
          lgDLWDepth = .true.
        else
          lgDLWDepth = .false.
        endif
*
        call readar( chCard , lgEnd )
        i = 1
        frad(1) = fread( chCard , i , 76 , lgEOL )
        fhden(1) = fread( chCard , i , 76 , lgEOL )
        if( lgEOL ) then
          write(qq,'('' no pairs entered - cant interpolate'')')
          stop
        endif
        nvals = 2
        lgEnd = .false.
        do while( .not.lgEnd .and.nvals.lt.limTabD)
          call readar( chCard , lgEnd )
          if(.not.lgEnd ) then
            call cap4(chCard(1:4) , chCAP )
            if( chCAP(1:3).eq.'END') lgEnd = .true.
          endif
          if( .not.lgEnd ) then
            i = 1
            frad(nvals) = fread( chCard , i , 76 , lgEOL )
            fhden(nvals) = fread( chCard , i , 76 , lgEOL )
            nvals = nvals + 1
          endif
        end do
        nvals = nvals - 1
*       do i=1,nvals
*         write(6,*)i,frad(i),fhden(i)
*       end do
        do i=2,nvals
*         the radius values are assumed to be strictly increasing
          if (frad(i).le.frad(i-1)) then
            write(qq,'('' density.in radii must be in increasing '',
     1      ''order'')')
            stop
          endif
        end do
      else
*       this is usual case, call fabden to get density
        i = 4
        do j=1,10
          DensityLaw(j) = fread( chCard , i , 76 , lgEOL )
        end do
        chCPres = 'DLW1'
      endif
*
      end
