******************************************************************************
      real function GrnVryDpth( nd )
      implicit none
*set grains abundance as a function of depth into cloud
*NB most quantities are undefined for first calls to this sub
      integer nd
*     nd is the pointer to the grain species.  This routine must return
*     a scale factor for the abundance at this position.
*
      include "ndust.par"
      include "limelm.par"
      include "dstfac.com"
      include "IonFracs.com"
      include "IOqq.com"
*
      if( lgDustVary(nd) ) then
*       sample code - the scale factor will be the hydrogen ionization fraction
*       following can be used for any other element - first dimesion
*       is atomic weight and second is stage of ionization
        GrnVryDpth = xIonFracs(1,1) / (xIonFracs(1,2)+xIonFracs(1,1))
      else
        GrnVryDpth = 1.
      endif
*
      end
