*********************************************************
      subroutine MakeCharTran
      implicit none
*fill in the HCharExcIon and Rec arrays with Kingdon's fitted CT with H
      include "limelm.par"
      include "phycon.com"
      include "CharExc.com"
*
*     local variables
      integer nelem, ion
      real TeUsed , HCTIon , HCTRecom
      save TeUsed
      data TeUsed/-1./
*
      if( abs(te-TeUsed) / te .gt.0.01 ) then
*       refresh charge transfer arrays is temperature has changed
        do nelem=3,limelm
          do ion=1,nelem
            HCharExcIon(ion,nelem) = HCTIon(ion,nelem)
            HCharExcRec(ion,nelem) = HCTRecom(ion,nelem)
          end do
        end do
        TeUsed = te
      endif
*
      end
