******************************************************************************
      subroutine mean
      implicit none
*derive mean ionization fractions over computed structure
      include "limelm.par"
      include "itrdim.par"
      include "IonMeans.com"
      include "IonFracs.com"
*
      include "filfac.com"
      include "radius.com"
      include "r1r0sq.com"
*
*     local variables
      real sumrad  , sumvol , dc  , dcv
      integer nelem , i
*
      do nelem=1,limelm
        sumrad = 0.
        sumvol = 0.
        do i=1,nelem+1
          dc = xIonFracs(nelem,i) *drad*FillFac
*         xIonMeans(n,i,1) is radial integration
          xIonMeans(nelem,i,1) = xIonMeans(nelem,i,1) + dc
*         xIonMeans(n,i,2) is vol integration
          dcv = dc * r1r0sq
          xIonMeans(nelem,i,2) = xIonMeans(nelem,i,2) + dcv
          sumrad = sumrad + dc
          sumvol = sumvol + dcv
        end do
        xIonMeans(nelem,0,1) = xIonMeans(nelem,0,1) + sumrad
        xIonMeans(nelem,0,2) = xIonMeans(nelem,0,2) + sumvol
      end do
*
      end
