******************************************************************************
      subroutine molav( ix )
      implicit none
*average old and new molecular equilibrium balance from comole
      integer ix
*
      include "nhevml.par"
      include "hvmolARR.com"
      include "trmole.com"
      include "trace.com"
      include "IOqq.com"
*
*     local variables
      real hevsav(nhevml) , damper
      save hevsav
      integer i
*
*     when called with IX=1, set saver
      if( ix.eq.1 ) then
*       this is first call - remember first abundances
        do i=1,nhevml
          hevsav(i) = hevmol(i)
        end do
        if( lgTrace.and.lgTrMole ) then
          write(qq,'(5x,'' MOLAV pop1='',1p,12e9.1)') hevmol
        endif
*
      else if( ix.lt.0 ) then
        do i=1,nhevml
          hevmol(i) = 0.
          hevsav(i) = 0.
        end do
*
      else
*       get new numbers - take average of old and new
        do i=1,nhevml
*         parameter to mix old and new
          damper = 0.2
          hevmol(i) = hevmol(i)*(1.-damper) + hevsav(i)*damper
          hevsav(i) = hevmol(i)
        end do
        if( lgTrace.and.lgTrMole ) then
          write(qq,'(5x,'' MOLAV pop2='',1p,12e9.1)') hevmol
        endif
      endif
*
      end
