******************************************************************************
      subroutine opacpl(ilo,ihi,cross,s,ip)
      implicit none
*generate array of cross sections using a simple power law fit
      integer ilo,ihi,ip
      real cross , s
*
      include "nopsv.par"
      include "opsv.com"
      include "ncell.par"
      include "rfield.com"
      include "noptot.com"
      include "IOqq.com"
*
*     local variables
      integer i
      real thres
*
      ip = noptot + 1
      thres = anu(ilo)
*
      do i=ilo,ihi
        OpacStack(i-ilo+ip) = cross * (anu(i)/thres)**(-s)
      end do
*
      noptot = noptot + ihi - ilo + 1
      if( noptot.gt.NOPSV ) then
        write(qq,'('' OPACPL too many opacity points.'')')
        write(qq,'('' Increase parameter variable NOPSV'',
     1  '' everywhere it occurs in the code.'')')
        write(qq,'('' The current value is'',I6,''.'')') NOPSV
        stop
      endif
*
      end
