******************************************************************************
      subroutine plinin( io )
      implicit none
*produce the 'punch lines intensity' output
      integer io
      include "nlines.par"
      include "sum.com"
      include "sumlab.com"
      include "itrdim.par"
      include "ZoneCnt.com"
      include "taucon.com"
*
*     local variables
      character*80 chCard
      logical lgEOF
      integer i
*
*     used to punch out all the emission line intensities
*     first initialize the line image reader
      call rdinit
*
      write(io,'(130(''*''))')
      lgEOF = .false.
      do while( .not.lgEOF )
        call readar( chCard , lgEOF )
        if(.not.lgEOF)write(io,'(a80)') chCard
      end do
*     first print any cautions or warnings
      call warnot( io )
      call caunot (io )
      write(io,'(''zone='',i5)') nzone
      write(io,'(130(''*''))')
      write(io,'(''begin emission lines'')')
*
*     >>chng 96 july 3, only punch zero intensities
      call PunResult(io,'    ', 0, 0., 'Start' )
      do i=1,nsum
        if( sumlin(i).gt.0. ) then
          call PunResult(io,chALab(i),lin(i),sumlin(i),'Line ')
        endif
      end do
      call PunResult(io,'    ', 0, 0., 'Flush' )
*     write(io,'(6(1x,a4,i6,1p,e10.3))') (chALab(I) ,
*    1lin(i) , sumlin(i),i=1,nsum)
*
      write(io,'(''     '')')
      write(io,'(130(''*''))')
*
      end
