      subroutine PunCTHeat( io )
      implicit none
*punches heating - cooling due to charge transfer, from PUNCH CTHEAT cmmnd
      integer io
      include "limelm.par"
      include "itrdim.par"
      include "heating.com"
      include "CharExc.com"
      include "IonFracs.com"
      include "h.com"
      include "radius.com"
      include "heat.com"
*
      real CTIon
      common/CTIon/ CTIon(8,4,limelm)
      real CTRecomb
*     second dimension is ionization stage,
*     1=+1 for parent, etc
*     third dimension is atomic weight of atom
      common/CTRecomb/ CTRecomb(7,4,limelm)
*
*     local variables
      integer ion , nelem , ipion , ipnelem
      real xmax , save
*
      xmax = 0.
      do nelem=1,limelm
*       first group have exact numbers
        do ion=1,4
          save = HCharExcIon(ion,nelem)*hii*
     1    xIonFracs(nelem,ion) * CTIon(8,ion,nelem) +
     1    HCharExcRec(ion,nelem)*hi*xIonFracs(nelem,ion+1) *
     1    CTRecomb(7,ion,nelem)
          if( abs(save).gt.abs(xmax) ) then
            xmax = save
            ipion = ion
            ipnelem = nelem
          endif
        end do
*       following do not have exact energies, so use 2.86*(Z-1)
        do ion=4,limelm
          save =
     1    HCharExcRec(ion,nelem)*hi*xIonFracs(nelem,ion+1) *2.86*ion
          if( abs(save).gt.abs(xmax) ) then
            xmax = save
            ipion = ion
            ipnelem = nelem
          endif
        end do
      end do
*
      write(io,'(1p,3e10.2,2i3)') depth, heating(1,25)/htot ,
     1 xmax* 1.602e-12 /htot, ipnelem, ipion
*     above convert eV to ergs
      end
