******************************************************************************
      subroutine punlin( ip , chDo , lgLog3 )
      implicit none
*parse punch lines command, or actually do the punch output
      integer ip 
      character*4 chDo
      logical lgLog3
*
      include "itrdim.par"
      include "npunlm.par"
      include "radius.com"
      include "fourpi.com"
      include "dRdVeff.com"
      include "IOqq.com"
*
*     local variables
      real a(32) , fread ,emiss , absint , relint
      integer i
      character*80 chCard , chCap
      logical lgEOF , lgEOL , lgOK , lgRelhld
      integer lampn(npunlm),nlpun
      double precision savlum(npunlm) , dlum(npunlm)
      character*4 chPLab(npunlm)
      save lampn , nlpun , chPLab , savlum , lgRelhld
*
      if( chDo.eq.'READ' ) then
        lgRelhld = lgLog3
*       this call, read in lines
        nlpun = 0
*
*     >>chng 97 june 15, get rid of go to
        call readar( chCard , lgEOF )
        chCap = chCard
        call caps( chCap )
        if( lgEOF ) then
          write(qq,'('' Hit EOF while reading line list; use END to'',
     1    '' end list.'')')
          stop
        endif
        do while( chCap(1:3).ne.'END' )
          nlpun = nlpun + 1
          if( nlpun.gt.npunlm ) then
            write(qq,'('' Too many lines have been entered; the '',
     1      I4,''limit is.  Increase variable NPUNLM.'')') npunlm
            stop
          endif
*
*         order on line is label (col 1-4), wavelength
          chPLab(nlpun) = chCard(1:4)
          i = 5
          lampn(nlpun) = fread( chCard , i , 76 , lgEOL )
          savlum(nlpun) = 0.
          call readar( chCard , lgEOF )
          chCap = chCard
          call caps( chCap )
          if( lgEOF ) then
            write(qq,'('' Hit EOF while reading line list; use END to'',
     1      '' end list.'')')
            stop
          endif
*         go to999
        end do
*
        write(ip,'(I4,'' lines were entered, they were;'')') nlpun
        do i=1,nlpun
          write(ip,'(A4,I5)') chPLab(i),lampn(i)
        end do
*
      else if( chDo.eq.'PUNS' ) then
*       punch lines structure command
        do i=1,nlpun
          call cdEms( chPLab(i) , lampn(i) , emiss,lgOK )
          if ( lgOK ) then
            dlum(i) = emiss
          else
            write(qq,'('' PUNLIN could not fine line: '',A4,I5)')
     1      chPLab(i) , lampn(i)
            stop
          endif
        end do
        write(ip,'(1p,11e12.4)') depth-drad/2. , (dlum(i),i=1,nlpun)
*
      else if( chDo.eq.'PUNC' ) then
*       punch lines cumulative command
        do i=1,nlpun
          if( lgRelhld ) then
            call cdLine( chPLab(i),lampn(i),a(i),absint,lgOK )
          else
            call cdLine( chPLab(i),lampn(i),relint,a(i),lgOK )
          endif
          if ( .not.lgOK ) then
            write(qq,'('' PUNLIN could not fine line: '',A4,I5)')
     1      chPLab(i) , lampn(i)
            stop
          endif
        end do
        write(ip,'(1p,11e12.4)') depth-drad/2. , (a(i),i=1,nlpun)
*
      else
        write(qq,'('' unrecognized key for PUNLIN='',A4)') chDo
        stop
      endif
*
      end
