******************************************************************************
      subroutine PutOpacity( nelem )
      implicit none
*enter total photo cross section for all subshells into opacity array
      integer nelem
      include "limelm.par"
      include "elmton.com"
      include "nsShells.com"
      include "ipElement.com"
      include "IonFracs.com"
      include "IOqq.com"
*
*     local variables
      integer nion,nshell,low,ihi,ipop
*     integer nelec
*
*     this routine drives opacin to put in total opacities
*
*begin sanity check
      if(nelem.lt.1 .or. nelem.gt.limelm ) then
        write(qq,'('' PutOpacity:  Insanity occurred.  nelem='',i4)')
     1  nelem
        call ShowMe
        stop
      endif
*end sanity check
*
*     this element may be turned off
      if( .not.lgElmtOn(nelem) ) return
*
      do nion=1,nelem
        if( xIonFracs(nelem,nion).gt.0. ) then
*         number of bound electrons
*         nelec = nelem - nion + 1
*         >>chng 96 Oct 1, get rid of nsElem, use master array
*         do nshell=1,nsElem(nion)
          do nshell=1,nsShells(nelem,nion)
*           set lower and upper limits to this range
            low = ipElement(nelem,nion,nshell,1)
            ihi = ipElement(nelem,nion,nshell,2)
            ipop = ipElement(nelem,nion,nshell,3)
            call opacin( ipop , low , ihi, xIonFracs(nelem,nion) )
          end do
        endif
      end do
*
      end
