******************************************************************************
      real function rayleh( ener )
      implicit none
*compute Rayleigh scattering cross section for Lya
      real ener
      include "fr1ryd.par"
      include "dampon.com"
*
*     do hydrogen Rayleigh scattering cross sections;
*     fits to Phys Rev 163, 147; and Mihalas radiative damping
*
*     >>chng 96 aug 15, changed logic to do more terms for each part of
*     rayleigh scattering
*     if( ener.lt.0.05 ) then
*        rayleh = 8.41e-25 * ener**4 * DampOnFac
*
      if( ener.lt. 0.05 ) then
         rayleh = ( 8.41e-25*ener**4 + 3.37e-24*ener**6 ) * DampOnFac
*
      else if( ener .lt. 0.646 ) then
         rayleh = ( 8.41e-25*ener**4 + 3.37e-24*ener**6 +
     1   4.71e-22*ener**14 ) * DampOnFac
*
      else if( ener.ge.0.646 .and. ener.lt.1.0 ) then
         rayleh = 1.788e5 / ( fr1ryd*max(0.001,abs(0.74959-ener)) )**2
*        typical energy between Ly-a and Ly-beta
         rayleh = max( rayleh , 1e-24 ) * DampOnFac
      else
         rayleh = 0.
      endif
*
      end
