******************************************************************************
      subroutine sphset( chCard )
      implicit none
*parse parameters on sphere command
      character chCard*80
      include "static.com"
      include "sphere.com"
      include "cover.com"
      include "scaton.com"
      include "taumin.com"
*
      integer i
      real fac , fread
      logical lgMatch , lgEOL
*
*     compute a spherical model, diffuse field from other side included
      lgSphere = .true.
*     turn off electron scattering opacity
      lgScatON = .false.
*     if "STATIC" is specified then set to case B for H lines
      if( lgMatch( 'STAT' , chCard ) ) then
        lgStatic = .true.
        tlamin = 1e5
      endif
*
*     check for optional covering factor
      i = 5
      fac = fread( chCard , i , 76 , lgEOL )
      if( lgEOL ) then
        covgeo = 1.
      else
        covgeo = fac
        if( covgeo.le.0. ) covgeo = 10.** covgeo
      endif
      covrt = covgeo
*
      end
