******************************************************************************
      subroutine splint(xa,ya,y2a,n,x,y)
      implicit none
*spline interpolation
      integer n
      real y2a(n)
*     uses XA,YA deduced by SPLINE
      real xa(n),ya(n), x , y
      integer klo , khi , k
      real h , a , b
*
      klo=1
      khi=n
      do while( khi-klo.gt.1 )
        k=(khi+klo)/2
        if(xa(k).gt.x)then
          khi=k
        else
          klo=k
        endif
      end do
*
      h= dble(xa(khi)) - dble(xa(klo))
      if (h.eq.0.) stop
      a=(dble(xa(khi))-dble(x))/h
      b=(dble(x)-dble(xa(klo)))/h
      y=a*dble(ya(klo))+b*dble(ya(khi))+
     *      ((a**3-a)*y2a(klo)+(b**3-b)*y2a(khi))*(h**2)/6.d0
*
      end
